body{
  z-index: -10;
  background-image: url("LCVP.png");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  background-attachment: fixed;
  font-family: 'Oxanium', cursive;
  width: 100%;
  margin: 0;
}
/* nav bar made with help from kevin powel */

.mainPage{

}

.mainPageBG{
  position: relative;
  display: block;
  padding-top: 30%;
  height: 10vh;
  width: 100%;

}

.AboutSectionContainer{
  background: rgb(30,30,30);
  width: 100.5%;
  text-align: Left;
    font-family: 'Oxanium', cursive;
    font-size: 100%;
    color: white;
}

.AboutSectionContainer h2{
  background: rgb(0,0,0);
    width: 100%;
    padding-top: 4%;
    padding-bottom: 4%;
    text-align: center;
}

.AboutSectionContainer p{
    width: 85%;
    padding-left: 15%;
    padding-bottom: 4%;
    padding-bottom: 4%;
    text-align: center;
}

.ProjectSectionContainer{
  top: -2%;
  background: rgb(30,30,30);
  right: 60%;
  left: 10%;
  width: 100%;
  text-align: Left;
    font-family: 'Oxanium', cursive;
    font-size: 100%;
    color: white;
  }

  .ProjectSectionContainer h2{
  background: rgb(10,10,10);
    width: 100%;
    padding-top: 4%;
    padding-bottom: 4%;
    text-align: center;
  }

  .ProjectsContainer{
    width: 90%;
    padding-bottom: 4%;
    padding-bottom: 4%;
    text-align: center;
  }

  .ContactSectionContainer h2{
    background: rgb(0,0,0);
      width: 100%;
      padding-top: 4%;
      padding-bottom: 4%;
      text-align: center;
  }

  .ContactSectionContainer p{
      width: 85%;
      padding-left: 15%;
      padding-bottom: 4%;
      padding-bottom: 4%;
      text-align: center;
  }

  @media (max-width: 80em){
  .ContactSectionContainer{
  padding-top: 40vh
  }
  }
  @media (max-width: 50em){
  .ContactSectionContainer{
    padding-top: 270vh
  }
  }



.flex{
display: flex;
gap: var(--gap, 2rem);
}

.primary-header{
  align-items: center;
  justify-content: space-between;
}

.mobile-nav-toggle{
  display: none;
}

.primary-nav{
  list-style: none;
  --gap: 3rem;
  padding-block: 2rem;
  padding-inline: clamp(3rem, 10vw, 10rem);
  margin: 0;
  background: hsl(0 0% 0% / 0.75);//if blur not supported

}
@supports (backdrop-filter: blur(1rem)){
  .primary-nav{
    background: hsl(0 0% 100% / 0.1);
    backdrop-filter: blur(1rem);
  }
}

.primary-nav a{
  font-family: 'Oxanium', cursive;
  font-stretch: semi-condensed;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
}

.primary-nav a:hover{
  color: lightgrey;

}

.primary-nav a > [aria-hidden="true"]{
  font-weight: 700;
  margin-inline-end: 0.75em;
}

@media (max-width: 55em){
  .primary-nav{
    --gap: 2em;
   position: fixed;
   z-index: 1000;
   inset: 0 0 0 30%;
   padding: min(20vh, 10rem) 2em;
   flex-direction: column;
   transform: translateX(100%);
   transition: transform 350ms ease-out;
  }


  .primary-nav[data-visible="true"]{
   transform: translateX(0%);
  }

  .mobile-nav-toggle{
    display: block;
   position: absolute;
   z-index: 9999;
   background-color: transparent;
   background-image: url("hamburger.png");
   background-repeat: no-repeat;
   background-size: 2rem;
   border: 0;
   width: 2rem;
   aspect-ratio: 1;
   top: 2rem;
   right: 2rem;
  }

  .mobile-nav-toggle[aria-expanded="true"]{
     background-image: url("close.png");
  }
}

.logo{
  margin: 1rem 1rem 1rem 0;
  width: 5rem;
}

.name{
  margin-left: 5rem;
  position: absolute;
  width: 7rem;
}

/* end nav bar code */

/* start project page*/


.myText {
  font-family: 'Oxanium', cursive;
  font-stretch: semi-condensed;
  font-size: 2vh;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
  size: cover;
}


.containing{
  width: 100%;
  padding-top: 5%;
  padding-left: 5%;
  padding-right: 5%;
  position: absolute;
  display: inline-table;
  z-index: -5;
}


* {
  box-sizing: border-box;
}


/* Position the image container (needed to position the left and right arrows) */
.container {
  position: relative;
  width: 100%;
  z-index: -5;
  border-radius: 1.8vh 1.5vh 1.5vh 1.5vh;
background: rgba(50, 50, 50, 0.5);
box-shadow:0.5rem 0.5rem 2rem black;
height: auto;
display: table-cell;
}
@supports (backdrop-filter: blur(1rem)){
  .container{
    background: hsl(0 0% 100% / 0.1);
    backdrop-filter: blur(1rem);
  }}
  @media (max-width: 55em){
    .container{
      position: absolute;
      display:grid;

    }

    .containing{
        right: 10%;
        width: 90%
    }
    }

.mySlides {
  display: none;
  width: 100%;
  height: 100%;
  right:0;
  z-index: -5;
  position: relative;
}




.scaleImg{
  width: 100%; /* or whatever is required */
  height:100%;
  text-align: center; /* ensures the image is always in the h-middle */
  overflow: hidden; /* hide the cropped portion */
border-radius: 1.6vh 0.5vh 0.5vh 1.6vh;
z-index: -5;
position: relative;
box-shadow:0.05rem 0.05rem 0.05rem 0.05rem 5rem black;
}
.scaleImg img{
  position: relative; /* allows repositioning */
    left: 200%; /* move the whole width of the image to the right */
    object-fit: cover;
    margin-left: -200%; /* magic! */
    max-height: clamp(40vw, 1vw, 10vw);
    z-index: -1;
    display: block;
}

@media (max-width: 55em){
  .scaleImg{
    width: 100%; /* or whatever is required */

    text-align: center; /* ensures the image is always in the h-middle */
    overflow: hidden; /* hide the cropped portion */
  border-radius: 1.6vh 1.6vh 1.6vh 1.6vh;
  z-index: -5;
  position: absolute;
  box-shadow:0.05rem 0.05rem 0.05rem 0.05rem 5rem black;
  height: 30vh;
  }

  .scaleImg img{
    position: relative; /* allows repositioning */
      left: 210%; /* move the whole width of the image to the right */
      object-fit: cover;
      margin-left: -230%; /* magic! */
      max-height:none;
      z-index: -1;
      width: 110vh;
      top: clamp(10vh 1vw 50vh);
  }

  .prev{

    border-radius: 0px 5px 5px 0px;
    z-index: 5;
    position: absolute;
    top: 55%; /*clamp(45vw, 0.01vh, 50vw);*/
    float: left;
  }
  /* Position the "next button" to the right */
  .next {
    border-radius: 5px 0 0 5px;
  margin-right: -55%;
  z-index: 5;
  position: relative;
  top:55%; /*clamp(45vw, 0.01vh, 50vw);*/
  float: right;
  }


  }


/* Add a pointer when hovering over the thumbnail images */
.cursor {
  cursor: pointer;
  z-index: 3;
  position: relative;
}

/* Next & previous buttons */
.prev,
.next {
  z-index: 5;
position: relative;
  cursor: pointer;
  width: auto;
  size: 50%;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
background-color: rgba(30,30,30,0.5);
}

.prev{

  border-radius: 0px 5px 5px 0px;
  z-index: 5;
  position: absolute;
  top: 55%; /*clamp(45vw, 0.01vh, 50vw);*/
  float: left;
}
/* Position the "next button" to the right */
.next {
  border-radius: 5px 0 0 5px;
right: 55%;
z-index: 5;
position: absolute;
top:55%; /*clamp(45vw, 0.01vh, 50vw);*/
float: right;
}
@media (max-width: 55em){
.prev{
  top:21%;
}
.next{
  top:21%;
}
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  z-index: 5;
  background-color: rgba(0, 0, 0, 0.8);
}

.numbertextContainer{
  top: 5%;
  left: 5%;
  align-content: center;
}
/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 1% 2%;
  position: absolute;
  left: 1%
  top: 1%;

  background: rgba(50,50,50,0.5);
border-radius: 1.5vh 0.5vh 0.5vh 0.5vh;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.leftBlock{
	float: left;
  bottom: 20%;
	width: 45%;
  height: 50%;
z-index: -5;
}
.textboxRight{
  font-family: 'Oxanium', cursive;
  font-stretch: semi-condensed;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
}

@media (max-width: 55em){
  .leftBlock{
   width:100%;
   height:100%;
   float: left;
   bottom: 0;
   padding-bottom: 0;
 }

  .rightBlock{
    width:80vw;
    margin-top: 30vh;
    float:none;
    bottom: 0;
    padding-bottom: 0;
  }
  }
@media (min-width: 55em){
.rightBlock{
	float: right;
	width: 50%;
  z-index: 3;

}}

.ProjectButton{
  padding-left: 1%;
  padding-right: 1%;
  padding-top: 0.2%;
  padding-bottom: 0.2%;
background: none;
width: auto;
height:auto;
  background: rgba(200, 200, 200, 0.5);
  border-radius: 0.5vh 0.5vh 0.5vh 0.5vh;
  box-shadow:2rem 2rem 2rem 2rem 6rem black;
  font-family: 'Oxanium', cursive;
  font-size: 1.5vh;
  border-style:solid;
  cursor: pointer;
}

.ProjectButton:hover{
  background: rgba(150, 150, 150, 0.5);
}

.TestButton{
  background-image: linear-gradient(to right,rgba(160, 175, 225, 0.77), rgba(112, 139, 225, 0.77));
border-radius: 40px;
box-sizing: border-box;
color: black;
display: block;
height:140%;
font-size: 1.4em;
padding: 4px, 8px;
position: relative;
text-decoration: none;
width: 40%;
z-index: 2;
}

.TestButton:hover{
  color: #fff;
}

.TestButton .TestButtonSpan{
  align-items: center;
  background:  rgba(200, 200, 200, 0.5);;
  border-radius: 40px;
  display: flex;
  justify-content: center;
  height: 100%;
  transition: background 0.5s ease;
  width: 100%;
  height:140%;
}




.TestButton:hover .TestButtonSpan{
  background: transparent;
}

.TextLeft{
float: left;
width: 45%;
font-size: 80%;
}
.TextRight{
  padding-left:5%;
  float: right;
  width:49.9%;
  font-size: 80%;
}
@media (max-width: 55em){
  .TextLeft{
  float: left;
  width: 50%;
  font-size: 60%;
  }
  .TextRight{
    float: right;
    width:49.99%;
    font-size: 60%;
  }
}


/* projects cards */

/* projects cards */
.projectTag{
  display: inline-block;

  margin-top: -5vh;
  padding-left: 0.8vw;
  padding-right: 0.8vw;
}

.cardcontainer .card .face.face2 .content .CL p{//code language
  background-color: rgba(255, 0, 0, 1);
  border-radius: 0.5vh 0.5vh 0.5vh 0.5vh;
  z-index: 7;
  display: block;
  /*color:  rgba(255, 0, 0, 1);*/
}

.GE{//game engine
  background: rgba(0, 255, 0, 1);
  border-radius: 0.5vh 0.5vh 0.5vh 0.5vh;
  z-index: 6;
}

.GNR{//general
  background: rgba(0, 0, 255, 1);
  border-radius: 0.5vh 0.5vh 0.5vh 0.5vh;
  z-index: 6;
}


.cardcontainer{
	width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 2fr);
  gap: 100% 2%;
  grid-auto-rows: 100px 15vw;
  padding-left: 10%;
  height: 	100%;
  padding-top: 10vh;
}
@media (max-width: 80em){
.cardcontainer{
grid-template-columns: repeat(2, 1fr);
  gap: 160% 2%;
}
}
@media (max-width: 50em){
.cardcontainer{
grid-template-columns: repeat(1, 1fr);
}
}


.cardcontainer .card{
	position: relative;
  box-sizing: content-box;
  display: block;
  width: 100%;
  display:table-column-group;
  padding-bottom: 80vh;
}


.cardcontainer .card .face{
	width: 100%;
	height: 15vw;
  min-height: 100px;
  max-height: 300px;
    transition: 0.5s;

}
.cardcontainer .card .face.face1{
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 5;
  border-radius: 1.5vh 1.5vh 1.5vh 1.5vh;
	transform: translateY(100px);
  height: 0px;
  box-shadow: 0px -3s0px 50px  rgba(0,0,0,0.8);
  background:rgb(40,40,40);//if blur not supported
}

.cardcontainer .card:hover .face.face1{
border-radius: 1.5vh 1.5vh 0vh 0vh;
padding-top: -12vh;
	transform: translateY(0px);
  height: 202px;

}
.cardcontainer .card:hover .face.face1 .content{
	opacity: 1;
}
.cardcontainer .card .content img{
	display: block;
  margin-left: auto;
  margin-right: auto;
	margin-top: auto;
	width: 100%;
  border-radius: 1.5vh 1.5vh 1.5vh 1.5vh;
}
.cardcontainer .card:hover .face.face1 .content img{
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-top: -6vh;
  width: 100%;
	border-radius: 1.5vh 1.5vh 1.5vh 1.5vh;
}
.cardcontainer .card:hover .face.face1 .content h3{
	margin: 0px 0 0;
	color: #fff;
	text-align: center;
	font-size: 1.5em;
}
.cardcontainer .card .face.face2{
  display: inline-block;
	position: inherit;
	justify-content: center;
	align-items: center;
	padding: 20px;
	box-sizing: border-box;
  box-shadow: 0 20px 50px rgba(0,0,0,0.8);
	height: 0px;/*transform: translateY(-10%);*/
	z-index: 4;
  border-radius: 1.5vh 1.5vh 1.5vh 1.5vh;
  background:rgb(40,40,40);//if blur not supported

}
.cardcontainer .card:hover .face.face2{
	transform: translateY(-3px);
  border-radius: 0vh 0vh 1.5vh 1.5vh;
  display:inline-flex;
  position: relative;
  margin-bottom:  clamp(20vh, 1vh, -500vh);/*10%;*/
  padding-bottom: 33vh;
}
@media (max-width: 50em){
.cardcontainer .card:hover .face.face2{
 padding-bottom:  30vh;/*10%;*/
}
}
@media (max-width: 80em){
  .cardcontainer .card:hover .face.face2{
   padding-bottom:  34vh;/*10%;*/
  }

  .cardcontainer .card .face.face2{
  	height: 0px;

  }
}
.cardcontainer .card .face.face2 .content p{
	margin: 0;
	padding: 0;
  display: none;

}
.cardcontainer .card:hover .face.face2 .content p{
    display: inline-block;
    height: 100%;
    width: 100%;

}

.cardcontainer .card:hover .face.face2 .content{
    display:flex;
    height: 100%;
    width: 100%;
margin-top: -1vh;
}

@media (max-height: 100vh){
.cardcontainer .card:hover .face.face2 .content p{
  margin-top:5vh;
}
.cardcontainer .card .face.face2 .content a{
	margin: 15px 0 0;
	display: inline-block;
  height: 100%;
	text-decoration: none;
	font-weight: 900;
	color: #333;
	padding: 5px;
	border: thin solid #333;
}
.cardcontainer .card .face.face2 .content a:hover{
	background: #333;
	color: #fff;

}
